Documentation API
API REST pour l’analyse de sites, le suivi de positions et les outils SEO.
Authentification
Créez un jeton dans Profil → Jetons API et envoyez-le dans l’en-tête. Créer un jeton
Authorization: Bearer seo_xxxxxxxxxxxxxxxxxxxxxxxx # nebo X-Api-Key: seo_xxxxxxxxxxxxxxxxxxxxxxxx
Base URL: https://apitools.seo-solution.cz/api/v1/ext
Endpoints
GET
/meInformace o účtu (ověření tokenu).
POST
/analyzeKompletní SEO analýza webu.
Body (JSON): { "url": "https://example.com" }
GET
/rank/projectsSeznam projektů sledování pozic.
GET
/rank/projects/{id}Detail projektu — klíčová slova a pozice (per vyhledávač i lokace).
GET
/rank/projects/{id}/dashboardDashboard pozic projektu.
POST
/tools/{tool}Spustí SEO nástroj. {tool} = robots, sitemap, schema, serp, hreflang, mobile, security, pagespeed, redirects, content, technology, accessibility, ux, cookies, dns, broken-links, geo.
Body (JSON): { "url": "https://example.com" }
Exemple (curl)
# SEO analýza webu
curl -X POST "https://apitools.seo-solution.cz/api/v1/ext/analyze" \
-H "Authorization: Bearer seo_xxxxxxxxxxxxxxxxxxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"url":"https://example.com"}'
# Sledování pozic — seznam projektů
curl "https://apitools.seo-solution.cz/api/v1/ext/rank/projects" \
-H "Authorization: Bearer seo_xxxxxxxxxxxxxxxxxxxxxxxx"
# Spuštění nástroje (robots.txt)
curl -X POST "https://apitools.seo-solution.cz/api/v1/ext/tools/robots" \
-H "Authorization: Bearer seo_xxxxxxxxxxxxxxxxxxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"url":"https://example.com"}'